<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_ca8856aa9ac8f3094747f3f" . "ffad932c0" => base64_decode("dmFyaWFibGU" . "g"));
class NameNode extends Node
{
    protected $name;
    public function __construct(string $name)
    {
        $this->name = $name;
    }
    
    
    
    
    public function Children() : array
    {
        return [];
    }
    public function Name() : string
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_ca8856aa9" . "ac8f309474" . "7f3fffad93" . "2c0"] . $this->name;
    }
    public function VariableName() : string
    {
        return $this->name;
    }
}